////////////////////////////////////////////////////////////////////////////////
// Code file for Keyboard class
////////////////////////////////////////////////////////////////////////////////

#include <allegro.h>
#include "keyboard.h"

int Keyboard::count = 0;

////////////////////////////////////////////////////////////////////////////////
// Function: Keyboard::Keyboard
////////////////////////////////////////////////////////////////////////////////
Keyboard::Keyboard(int _key_left, int _key_right, int _key_up, int _key_down, int _key_button_a, int _key_button_b)
{
   key_left = _key_left;
   key_right = _key_right;
   key_up = _key_up;
   key_down = _key_down;
   key_button_a = _key_button_a;
   key_button_b = _key_button_b;
   count++;
}

////////////////////////////////////////////////////////////////////////////////
// Function: Keyboard::~Keyboard
////////////////////////////////////////////////////////////////////////////////
Keyboard::~Keyboard(void)
{
   count--;
}

////////////////////////////////////////////////////////////////////////////////
// Function: Keyboard::poll
////////////////////////////////////////////////////////////////////////////////
void Keyboard::poll(void)
{
   h = 0;
   v = 0;
   a = 0;
   b = 0;
   if (key[key_left]) { // left
      h--;
   }
   if (key[key_right]) { // right
      h++;
   }
   if (key[key_up]) { // up
      v--;
   }
   if (key[key_down]) { // down
      v++;
   }
   if (key[key_button_a]) { // button a
      a++;
   }
   if (key[key_button_b]) { // button b
      b++;
   }
}
