////////////////////////////////////////////////////////////////////////////////
// Header file for Missile class
////////////////////////////////////////////////////////////////////////////////

#ifndef MISSILE_H
#define MISSILE_H

#include <allegro.h>
#include "object.h"
#include "input.h"
#include "sprite.h"

////////////////////////////////////////////////////////////////////////////////
// Class: Missile
////////////////////////////////////////////////////////////////////////////////
class Missile : public Object, public Sprite
{   
public:
   Missile(char *_sprite_file_name, fix _x, fix _y, fix _x_vel, fix _y_vel);
   ~Missile(void);
   void draw(BITMAP *b);
   void update(void);
   void fall(void);
   int collide(fix _x, fix _y);
   void explode(void);
protected:
   int age;
   static int count;
};

#endif
