////////////////////////////////////////////////////////////////////////////////
// Header file for Mouse class
////////////////////////////////////////////////////////////////////////////////

#ifndef MOUSE_H
#define MOUSE_H

#include "input.h"

#define MOUSE_DIRECT 0
#define MOUSE_ICONS 1

////////////////////////////////////////////////////////////////////////////////
// Class: Mouse
////////////////////////////////////////////////////////////////////////////////
class Mouse : public Input
{
public:
   Mouse(int _mode);
   ~Mouse(void);
   void poll(void);
   void draw(BITMAP *destination, int _x, int _y);
protected:
   int x;
   int y;
   static int count;
   int mode;
};

#endif
