////////////////////////////////////////////////////////////////////////////////
// Header file for Tank class
////////////////////////////////////////////////////////////////////////////////

#ifndef TANK_H
#define TANK_H

#include <allegro.h>
#include "input.h"
#include "sprite.h"
#include "object.h"
#include "weapon.h"

////////////////////////////////////////////////////////////////////////////////
// Class: Tank
////////////////////////////////////////////////////////////////////////////////
class Tank : public Object, public Sprite
{
public:
   Tank(char *_sprite_file_name, fix _x, fix _y, int _color, char *_name, Input *_controller);
   ~Tank(void);
   int color;
   Input *controller;
   void draw(BITMAP *b);
   void draw_info(BITMAP *destination, int _x, int _y);
   void update(void);
   int check_steepness(int _x, int _y, int direction);
   void move(fix change_x, fix change_y);
   void handle_input(void);
   void fall(void);
   int collide(fix _x, fix _y);
   Weapon *weapon;
protected:
   int health;
   static int count;
};

#endif
