////////////////////////////////////////////////////////////////////////////////
// Header file for Explosion class
////////////////////////////////////////////////////////////////////////////////

#ifndef EXPLOSION_H
#define EXPLOSION_H

#include <allegro.h>
#include "object.h"

////////////////////////////////////////////////////////////////////////////////
// Class: Explosion
////////////////////////////////////////////////////////////////////////////////
class Explosion : public Object
{
public:
   Explosion(fix _x, fix _y, fix _radius);
   ~Explosion(void);
   void draw(BITMAP *b);
   void update(void);
private:
   fix radius;
   fix age;
   int colour;
   static int count;
};

#endif
