////////////////////////////////////////////////////////////////////////////////
// Header file for Keyboard class
////////////////////////////////////////////////////////////////////////////////

#ifndef KEYBOARD_H
#define KEYBOARD_H

#include "input.h"

////////////////////////////////////////////////////////////////////////////////
// Class: Keyboard
////////////////////////////////////////////////////////////////////////////////
class Keyboard : public Input
{
public:
   Keyboard(int _key_left, int _key_right, int _key_up, int _key_down, int _key_button_a, int _key_button_b);
   ~Keyboard(void);
   void poll(void);
protected:
   int key_left;
   int key_right;
   int key_up;
   int key_down;
   int key_button_a;
   int key_button_b;
   static int count;
};

#endif