////////////////////////////////////////////////////////////////////////////////
// Code file for template class Singlist
////////////////////////////////////////////////////////////////////////////////

#include <stdlib.h>
#include <stdio.h>
#include <conio.h>

#include "singlist.h"

////////////////////////////////////////////////////////////////////////////////
// Function: Singlist::push
////////////////////////////////////////////////////////////////////////////////
template <class T>
void Singlist<T>::push(T *pushed)
{
   Singlist_element<T> *previous_element;
   Singlist_element<T> *new_element;
   Singlist_element<T> *current_element;

   new_element = new Singlist_element<T>(pushed);
   previous_element = NULL;
   current_element = head;
   while (current_element != NULL) {
      previous_element = current_element;
      current_element = current_element->next;
   }
   if (previous_element == NULL) {
      new_element->next = head;
      head = new_element;
   }
   else {
      previous_element->next = new_element;
      new_element->next = current_element;
   }
}

////////////////////////////////////////////////////////////////////////////////
// Function: Singlist::pop
////////////////////////////////////////////////////////////////////////////////
template <class T>
void Singlist<T>::pop(T *poped)
{
   Singlist_element<T> *previous_element;
   Singlist_element<T> *temp_element;
   Singlist_element<T> *current_element;

   if (poped == head->data) {
      temp_element = head;
      head = head->next;
      delete temp_element;
   }
   else {
      previous_element = head;
      current_element = head->next;
      while (current_element != NULL && current_element->data != poped) {
         previous_element = current_element;
         current_element = current_element->next;
      }
      if (current_element != NULL) {
         temp_element = current_element;
         previous_element->next = current_element->next;
         delete temp_element;
      }
   }
}
